Package com.databricks.jdbc.common

## Enum CompressionType

- java.lang.Object
- - java.lang.Enum<CompressionType>
  - - com.databricks.jdbc.common.CompressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionType>`

    public enum CompressionType
    extends Enum<CompressionType>

### Enum Constant Summary

Enum Constants
`LZ4_COMPRESSION`
`NONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressionType` `getCompressionMapping​(TGetResultSetMetadataResp metadataResp)`
`static CompressionType` `parseCompressionType​(String compressionType)`
`static CompressionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CompressionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CompressionType NONE

#### LZ4_COMPRESSION

    public static final CompressionType LZ4_COMPRESSION

### Method Detail

#### values

    public static CompressionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompressionType c : CompressionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompressionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### parseCompressionType

    public static CompressionType parseCompressionType​(String compressionType)

#### getCompressionMapping

    public static CompressionType getCompressionMapping​(TGetResultSetMetadataResp metadataResp)